<?php defined('C5_EXECUTE') or die("Access Denied."); ?>
<style>
    .col-xs-12, .col-xs-2, .col-xs-3, .col-xs-4, .col-xs-9{
        padding-left: 0!important;
        padding-right: 0!important;
    }
</style>
<div class="row">
    <div class="col-xs-12">
        <div id="mapedit" style="position:fixed;z-index:10;width:400px;height:200px;max-width: 100%" data-lat="35.1685" data-lng="136.895" data-zoom="14"></div>
    </div>
    <div class="col-xs-12" style="margin-top:220px">
            <div class="col-xs-12">
                <div class="col-xs-2">
                    <?= $form->label('width', t('width')) ?>
                </div>
                <div class="col-xs-4">
                    <?= $form->text('width', $controller->width, ['maxlength' => 8]) ?>
                </div>
                <div class="col-xs-2">
                    <?= $form->label('height', t('height')) ?>
                </div>
                <div class="col-xs-4">
                    <?= $form->text('height', $controller->height, ['maxlength' => 8]) ?>
                </div>
            </div>
        <div class="col-xs-12">
                <div class="col-xs-2">
                    <?= $form->label('latitude', t('latitude')) ?>
                </div>
                <div class="col-xs-4">
                    <?= $form->text('latitude', $controller->latitude, ['maxlength' => 20]) ?>
                </div>
                <div class="col-xs-2">
                    <?= $form->label('longitude', t('longitude')) ?>
                </div>
                <div class="col-xs-4">
                    <?= $form->text('longitude', $controller->longitude, ['maxlength' => 20]) ?>
                </div>
                <div class="col-xs-2">
                    <?= $form->label('zoom', t('zoom')) ?>
                </div>
                <div class="col-xs-4">
                    <?= $form->text('zoom', $controller->zoom, ['maxlength' => 4]) ?>
                </div>
            <div class="col-xs-2">
                <?= $form->label('marker', t('Marker')) ?>
            </div>
            <div class="col-xs-4">
                <?= $form->checkbox('marker', 1, $controller->marker) ?>マーカーを表示する
            </div>
            </div>
        <div class="col-xs-12">
                <div class="col-xs-3">
                    <?= $form->label('message', t('Message')) ?>
                </div>
                <div class="col-xs-9">
                    <?= $form->textarea('message', $controller->message, ['col' => 4]) ?>
                </div>
        </div>
        <div class="col-xs-12">
                <div class="col-xs-2">
                    <?= $form->label('markerlatitude', t('markerlatitude')) ?>
                </div>
                <div class="col-xs-4">
                    <?= $form->text('markerlatitude', $controller->markerlatitude, ['maxlength' => 20]) ?>
                </div>
                <div class="col-xs-2">
                    <?= $form->label('markerlongitude', t('markerlongitude')) ?>
                </div>
                <div class="col-xs-4">
                    <?= $form->text('markerlongitude', $controller->markerlongitude, ['maxlength' => 20]) ?>
                </div>
            </div>
    </div>


    <script>
        $('#mapedit').ready(function(){
            setTimeout(function(){

                var lat = $("#mapedit").data("lat");
                var lng = $("#mapedit").data("lng");
                var zoom = $("#mapedit").data("zoom");
                if ($("#latitude").val() && $("#longitude").val() && $("#zoom").val() ) {
                    lat = $("#latitude").val();
                    lng = $("#longitude").val();
                    zoom = $("#zoom").val();
                }

                var mapedit = L.map('mapedit').setView([lat, lng], zoom);

                var tiles = L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
                    attribution: '&copy; <a href="https://openstreetmap.org/copyright">OpenStreetMap</a> contributors'
                });
                mapedit.addLayer(tiles);

                var markers = L.marker(
                    [lat,lng],
                ).addTo(mapedit);

                function onMapMoveend(e) {
                    var center = mapedit.getCenter();
                    $("#latitude").val(center.lat);
                    $("#longitude").val(center.lng);
                }

                mapedit.on('moveend', onMapMoveend);

                function onMapClick(e) {
                    markers.setLatLng(e.latlng).addTo(mapedit);
                    $("#markerlatitude").val(e.latlng.lat);
                    $("#markerlongitude").val(e.latlng.lng);
                }

                mapedit.on('click', onMapClick);

                function onMapZoom(e) {
                    var center = mapedit.getZoom();
                    $("#zoom").val(center);
                }

                mapedit.on('zoom', onMapZoom);
            });
        });
    </script>
</div>